Get group picture
curl --request GET \
--url https://{host}/api/{session}/groups/{id}/picture \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/groups/{id}/picture"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/groups/{id}/picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://pps.whatsapp.net/v/t61.24694-24/..."
}
Groups
Get Group Picture
Get the profile picture of the group
GET
/
api
/
{session}
/
groups
/
{id}
/
picture
Get group picture
Description
This endpoint returns the URL of the profile picture of the specified group.URL Parameters
string
required
WhatsApp unique session ID
string
required
ID of the group in format
120363XXXXX@g.usResponse
string
URL of the group picture
{
"url": "https://pps.whatsapp.net/v/t61.24694-24/..."
}
Status Codes
200- Picture returned successfully400- Invalid parameters401- Unauthorized404- Group or picture not found
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/groups/120363XXXXX@g.us/picture
const session = 'my-session';
const groupId = '120363XXXXX@g.us';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/groups/${groupId}/picture`);
const data = await response.json();
console.log(data.url);
import requests
session = 'my-session'
group_id = '120363XXXXX@g.us'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/groups/{group_id}/picture')
data = response.json()
print(data['url'])
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
ID do Grupo
Query Parameters
Refresh the picture from the server (24h cache by default). Do not refresh if not needed, you can get rate limit error
Response
200 - application/json
